<!DOCTYPE html>
<html lang="" xml:lang="">
<head>

  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <title>Chapter 5 Symptom Clustering | Brain Changes after Long-COVID</title>
  <meta name="description" content="<p>This is a minimal example of using the bookdown package to write a book.
The HTML output format for this example is bookdown::gitbook,
set in the _output.yml file.</p>" />
  <meta name="generator" content="bookdown 0.33 and GitBook 2.6.7" />

  <meta property="og:title" content="Chapter 5 Symptom Clustering | Brain Changes after Long-COVID" />
  <meta property="og:type" content="book" />
  
  <meta property="og:description" content="<p>This is a minimal example of using the bookdown package to write a book.
The HTML output format for this example is bookdown::gitbook,
set in the _output.yml file.</p>" />
  <meta name="github-repo" content="rstudio/bookdown-demo" />

  <meta name="twitter:card" content="summary" />
  <meta name="twitter:title" content="Chapter 5 Symptom Clustering | Brain Changes after Long-COVID" />
  
  <meta name="twitter:description" content="<p>This is a minimal example of using the bookdown package to write a book.
The HTML output format for this example is bookdown::gitbook,
set in the _output.yml file.</p>" />
  

<meta name="author" content="Meent Mangels" />


<meta name="date" content="2023-05-01" />

  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <meta name="apple-mobile-web-app-capable" content="yes" />
  <meta name="apple-mobile-web-app-status-bar-style" content="black" />
  
  
<link rel="prev" href="tmt.html"/>
<link rel="next" href="generalized-mixed-modelling.html"/>
<script src="libs/jquery-3.6.0/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/fuse.js@6.4.6/dist/fuse.min.js"></script>
<link href="libs/gitbook-2.6.7/css/style.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-table.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-bookdown.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-highlight.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-search.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-fontsettings.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-clipboard.css" rel="stylesheet" />








<link href="libs/anchor-sections-1.1.0/anchor-sections.css" rel="stylesheet" />
<link href="libs/anchor-sections-1.1.0/anchor-sections-hash.css" rel="stylesheet" />
<script src="libs/anchor-sections-1.1.0/anchor-sections.js"></script>
<script src="libs/kePrint-0.0.1/kePrint.js"></script>
<link href="libs/lightable-0.0.1/lightable.css" rel="stylesheet" />


<style type="text/css">
pre > code.sourceCode { white-space: pre; position: relative; }
pre > code.sourceCode > span { display: inline-block; line-height: 1.25; }
pre > code.sourceCode > span:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode > span { color: inherit; text-decoration: inherit; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
pre > code.sourceCode { white-space: pre-wrap; }
pre > code.sourceCode > span { text-indent: -5em; padding-left: 5em; }
}
pre.numberSource code
  { counter-reset: source-line 0; }
pre.numberSource code > span
  { position: relative; left: -4em; counter-increment: source-line; }
pre.numberSource code > span > a:first-child::before
  { content: counter(source-line);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {   }
@media screen {
pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { color: #008000; } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { color: #008000; font-weight: bold; } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
</style>

<style type="text/css">
/* Used with Pandoc 2.11+ new --citeproc when CSL is used */
div.csl-bib-body { }
div.csl-entry {
  clear: both;
}
.hanging div.csl-entry {
  margin-left:2em;
  text-indent:-2em;
}
div.csl-left-margin {
  min-width:2em;
  float:left;
}
div.csl-right-inline {
  margin-left:2em;
  padding-left:1em;
}
div.csl-indent {
  margin-left: 2em;
}
</style>

<link rel="stylesheet" href="style.css" type="text/css" />
</head>

<body>



  <div class="book without-animation with-summary font-size-2 font-family-1" data-basepath=".">

    <div class="book-summary">
      <nav role="navigation">

<ul class="summary">
<li><a href="./">Demographics and Psychometrics</a></li>

<li class="divider"></li>
<li class="chapter" data-level="1" data-path="index.html"><a href="index.html"><i class="fa fa-check"></i><b>1</b> Workflow</a>
<ul>
<li class="chapter" data-level="1.1" data-path="index.html"><a href="index.html#installing-bookdown"><i class="fa fa-check"></i><b>1.1</b> Installing bookdown</a></li>
<li class="chapter" data-level="1.2" data-path="index.html"><a href="index.html#how-it-works"><i class="fa fa-check"></i><b>1.2</b> How it works</a></li>
<li class="chapter" data-level="1.3" data-path="index.html"><a href="index.html#packages"><i class="fa fa-check"></i><b>1.3</b> Packages</a></li>
</ul></li>
<li class="chapter" data-level="2" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html"><i class="fa fa-check"></i><b>2</b> Exploratory Analysis</a>
<ul>
<li class="chapter" data-level="2.1" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html#load-data"><i class="fa fa-check"></i><b>2.1</b> Load Data</a></li>
<li class="chapter" data-level="2.2" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html#summarise-data"><i class="fa fa-check"></i><b>2.2</b> Summarise Data</a>
<ul>
<li class="chapter" data-level="" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html#lc-1"><i class="fa fa-check"></i>LC-1</a></li>
<li class="chapter" data-level="" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html#lc-2"><i class="fa fa-check"></i>LC-2</a></li>
</ul></li>
<li class="chapter" data-level="2.3" data-path="exploratory-analysis.html"><a href="exploratory-analysis.html#visualisation"><i class="fa fa-check"></i><b>2.3</b> Visualisation</a></li>
</ul></li>
<li class="chapter" data-level="3" data-path="mst.html"><a href="mst.html"><i class="fa fa-check"></i><b>3</b> MST</a></li>
<li class="chapter" data-level="4" data-path="tmt.html"><a href="tmt.html"><i class="fa fa-check"></i><b>4</b> TMT</a></li>
<li class="chapter" data-level="5" data-path="symptom-clustering.html"><a href="symptom-clustering.html"><i class="fa fa-check"></i><b>5</b> Symptom Clustering</a>
<ul>
<li class="chapter" data-level="5.1" data-path="symptom-clustering.html"><a href="symptom-clustering.html#simulate-data"><i class="fa fa-check"></i><b>5.1</b> Simulate Data</a>
<ul>
<li class="chapter" data-level="5.1.1" data-path="symptom-clustering.html"><a href="symptom-clustering.html#using-simmulticorrdata"><i class="fa fa-check"></i><b>5.1.1</b> Using SimMultiCorrData</a></li>
<li class="chapter" data-level="" data-path="symptom-clustering.html"><a href="symptom-clustering.html#using-predefined-functions"><i class="fa fa-check"></i>Using predefined functions</a></li>
<li class="chapter" data-level="" data-path="symptom-clustering.html"><a href="symptom-clustering.html#statistical-rethinking"><i class="fa fa-check"></i>Statistical Rethinking</a></li>
<li class="chapter" data-level="" data-path="symptom-clustering.html"><a href="symptom-clustering.html#doing-it-from-scratch"><i class="fa fa-check"></i>Doing it from scratch</a></li>
</ul></li>
<li class="chapter" data-level="5.2" data-path="symptom-clustering.html"><a href="symptom-clustering.html#metoids-clustering-using-pam"><i class="fa fa-check"></i><b>5.2</b> Metoids Clustering using PAM</a></li>
<li class="chapter" data-level="5.3" data-path="symptom-clustering.html"><a href="symptom-clustering.html#latent-variable-mixture-modeling"><i class="fa fa-check"></i><b>5.3</b> Latent variable (mixture) modeling</a></li>
<li class="chapter" data-level="5.4" data-path="symptom-clustering.html"><a href="symptom-clustering.html#hdbscan"><i class="fa fa-check"></i><b>5.4</b> HDBSCAN</a></li>
</ul></li>
<li class="chapter" data-level="6" data-path="generalized-mixed-modelling.html"><a href="generalized-mixed-modelling.html"><i class="fa fa-check"></i><b>6</b> (Generalized) Mixed Modelling</a>
<ul>
<li class="chapter" data-level="6.1" data-path="generalized-mixed-modelling.html"><a href="generalized-mixed-modelling.html#causal-modelling"><i class="fa fa-check"></i><b>6.1</b> Causal Modelling</a>
<ul>
<li class="chapter" data-level="6.1.1" data-path="generalized-mixed-modelling.html"><a href="generalized-mixed-modelling.html#intro-directed-acyclic-graphs"><i class="fa fa-check"></i><b>6.1.1</b> Intro directed acyclic graphs</a></li>
</ul></li>
</ul></li>
<li class="chapter" data-level="7" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html"><i class="fa fa-check"></i><b>7</b> Simulating and Fitting Models</a>
<ul>
<li class="chapter" data-level="7.1" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html#the-basic-model"><i class="fa fa-check"></i><b>7.1</b> The Basic Model</a></li>
<li class="chapter" data-level="7.2" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html#relation-between-subjective-and-objective-measures"><i class="fa fa-check"></i><b>7.2</b> relation between subjective and objective measures</a>
<ul>
<li class="chapter" data-level="" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html#opaque-generative-model"><i class="fa fa-check"></i>Opaque generative model</a></li>
<li class="chapter" data-level="" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html#explicit-generative-model"><i class="fa fa-check"></i>Explicit generative model</a></li>
</ul></li>
<li class="chapter" data-level="7.3" data-path="simulating-and-fitting-models.html"><a href="simulating-and-fitting-models.html#structural-brain-changes-and-cognitive-functions---and-how-to-include-age"><i class="fa fa-check"></i><b>7.3</b> Structural brain changes and cognitive functions - and how to include age</a></li>
</ul></li>
<li class="chapter" data-level="8" data-path="topological-analyses.html"><a href="topological-analyses.html"><i class="fa fa-check"></i><b>8</b> Topological Analyses</a></li>
<li class="chapter" data-level="" data-path="references.html"><a href="references.html"><i class="fa fa-check"></i>References</a></li>
<li class="chapter" data-level="9" data-path="about-bookdown.html"><a href="about-bookdown.html"><i class="fa fa-check"></i><b>9</b> About Bookdown</a>
<ul>
<li class="chapter" data-level="9.1" data-path="about-bookdown.html"><a href="about-bookdown.html#usage"><i class="fa fa-check"></i><b>9.1</b> Usage</a></li>
<li class="chapter" data-level="9.2" data-path="about-bookdown.html"><a href="about-bookdown.html#render-book"><i class="fa fa-check"></i><b>9.2</b> Render book</a></li>
<li class="chapter" data-level="9.3" data-path="about-bookdown.html"><a href="about-bookdown.html#preview-book"><i class="fa fa-check"></i><b>9.3</b> Preview book</a></li>
<li class="chapter" data-level="9.4" data-path="about-bookdown.html"><a href="about-bookdown.html#hello-bookdown"><i class="fa fa-check"></i><b>9.4</b> Hello bookdown</a></li>
<li class="chapter" data-level="9.5" data-path="about-bookdown.html"><a href="about-bookdown.html#a-section"><i class="fa fa-check"></i><b>9.5</b> A section</a>
<ul>
<li class="chapter" data-level="" data-path="about-bookdown.html"><a href="about-bookdown.html#an-unnumbered-section"><i class="fa fa-check"></i>An unnumbered section</a></li>
</ul></li>
<li class="chapter" data-level="9.6" data-path="about-bookdown.html"><a href="about-bookdown.html#cross"><i class="fa fa-check"></i><b>9.6</b> Cross-references</a>
<ul>
<li class="chapter" data-level="9.6.1" data-path="about-bookdown.html"><a href="about-bookdown.html#chapters-and-sub-chapters"><i class="fa fa-check"></i><b>9.6.1</b> Chapters and sub-chapters</a></li>
</ul></li>
<li class="chapter" data-level="9.7" data-path="about-bookdown.html"><a href="about-bookdown.html#captioned-figures-and-tables"><i class="fa fa-check"></i><b>9.7</b> Captioned figures and tables</a></li>
<li class="chapter" data-level="9.8" data-path="about-bookdown.html"><a href="about-bookdown.html#parts"><i class="fa fa-check"></i><b>9.8</b> Parts</a></li>
<li class="chapter" data-level="9.9" data-path="about-bookdown.html"><a href="about-bookdown.html#footnotes-and-citations"><i class="fa fa-check"></i><b>9.9</b> Footnotes and citations</a>
<ul>
<li class="chapter" data-level="9.9.1" data-path="about-bookdown.html"><a href="about-bookdown.html#footnotes"><i class="fa fa-check"></i><b>9.9.1</b> Footnotes</a></li>
<li class="chapter" data-level="9.9.2" data-path="about-bookdown.html"><a href="about-bookdown.html#citations"><i class="fa fa-check"></i><b>9.9.2</b> Citations</a></li>
</ul></li>
<li class="chapter" data-level="9.10" data-path="about-bookdown.html"><a href="about-bookdown.html#equations"><i class="fa fa-check"></i><b>9.10</b> Equations</a>
<ul>
<li class="chapter" data-level="9.10.1" data-path="about-bookdown.html"><a href="about-bookdown.html#theorems-and-proofs"><i class="fa fa-check"></i><b>9.10.1</b> Theorems and proofs</a></li>
<li class="chapter" data-level="9.10.2" data-path="about-bookdown.html"><a href="about-bookdown.html#callout-blocks"><i class="fa fa-check"></i><b>9.10.2</b> Callout blocks</a></li>
</ul></li>
<li class="chapter" data-level="9.11" data-path="about-bookdown.html"><a href="about-bookdown.html#sharing-your-book"><i class="fa fa-check"></i><b>9.11</b> Sharing your book</a>
<ul>
<li class="chapter" data-level="9.11.1" data-path="about-bookdown.html"><a href="about-bookdown.html#publishing"><i class="fa fa-check"></i><b>9.11.1</b> Publishing</a></li>
<li class="chapter" data-level="9.11.2" data-path="about-bookdown.html"><a href="about-bookdown.html#pages"><i class="fa fa-check"></i><b>9.11.2</b> 404 pages</a></li>
<li class="chapter" data-level="9.11.3" data-path="about-bookdown.html"><a href="about-bookdown.html#metadata-for-sharing"><i class="fa fa-check"></i><b>9.11.3</b> Metadata for sharing</a></li>
</ul></li>
</ul></li>
<li class="divider"></li>
<li><a href="https://github.com/rstudio/bookdown" target="blank">Published with bookdown</a></li>

</ul>

      </nav>
    </div>

    <div class="book-body">
      <div class="body-inner">
        <div class="book-header" role="navigation">
          <h1>
            <i class="fa fa-circle-o-notch fa-spin"></i><a href="./">Brain Changes after Long-COVID</a>
          </h1>
        </div>

        <div class="page-wrapper" tabindex="-1" role="main">
          <div class="page-inner">

            <section class="normal" id="section-">
<div id="symptom-clustering" class="section level1 hasAnchor" number="5">
<h1><span class="header-section-number">Chapter 5</span> Symptom Clustering<a href="symptom-clustering.html#symptom-clustering" class="anchor-section" aria-label="Anchor link to header"></a></h1>
<p>Evans et al. 2021 showed that there are distinct clusters with respective to the severity of physical and mental health impairment and cognitive functioning. We aim to replicate / build on this finding.</p>
<div id="simulate-data" class="section level2 hasAnchor" number="5.1">
<h2><span class="header-section-number">5.1</span> Simulate Data<a href="symptom-clustering.html#simulate-data" class="anchor-section" aria-label="Anchor link to header"></a></h2>
<p>Let’s begin by testing various cluster-approaches using a simulated dataset.
There are multiple options to simulate clustered data:</p>
<ul>
<li>Various clustering packages are too restricted for our purposes: fungible::monte() (<a href="https://search.r-project.org/CRAN/refmans/fungible/html/monte.html" class="uri">https://search.r-project.org/CRAN/refmans/fungible/html/monte.html</a>), simStudy::genCluster() (<a href="https://rdrr.io/cran/simstudy/man/genCluster.html" class="uri">https://rdrr.io/cran/simstudy/man/genCluster.html</a>), kamila::genMixedData() (<a href="https://rdrr.io/cran/kamila/man/genMixedData.html" class="uri">https://rdrr.io/cran/kamila/man/genMixedData.html</a>) and also fabricatr</li>
<li>We could do it from scratch, maybe by having a look statistical rethinking for inspiration. But nonetheless especially tricky is simulating clustered data from both continual and nominal data</li>
<li>my favorite approach to this point would be to use the SimMultiCorrData package (<a href="https://cran.r-project.org/web/packages/SimMultiCorrData/SimMultiCorrData.pdf#Rfn.rcorrvar" class="uri">https://cran.r-project.org/web/packages/SimMultiCorrData/SimMultiCorrData.pdf#Rfn.rcorrvar</a>), an seemingly impressive package to simulate real life data!</li>
</ul>
<p>So what are we aiming for? Certainly we want to have one dataset which pretty much resembles our expectations (to test whether respective cluster algorithms will get us an expected output) and another dataset which contains no information (to see which algorithm best indicates null-results). (?)</p>
<p>To simulate with the SimMultiCorrData package, we first will replicate the workflow as mentioned in <a href="https://cran.r-project.org/web/packages/SimMultiCorrData/vignettes/workflow.html" class="uri">https://cran.r-project.org/web/packages/SimMultiCorrData/vignettes/workflow.html</a> before simulating datapoints which is more closeley related to our prospective dataset</p>
<div id="using-simmulticorrdata" class="section level3 hasAnchor" number="5.1.1">
<h3><span class="header-section-number">5.1.1</span> Using SimMultiCorrData<a href="symptom-clustering.html#using-simmulticorrdata" class="anchor-section" aria-label="Anchor link to header"></a></h3>
<p>Adapting the workflow from Allison Fialkowski we first define the properties of our variables of interest.</p>
<div id="step-1-set-up-the-distributions-and-obtain-the-standardized-cumulants" class="section level4 unnumbered hasAnchor">
<h4>Step 1: Set up the distributions and obtain the standardized cumulants<a href="symptom-clustering.html#step-1-set-up-the-distributions-and-obtain-the-standardized-cumulants" class="anchor-section" aria-label="Anchor link to header"></a></h4>
<div class="sourceCode" id="cb13"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb13-1"><a href="symptom-clustering.html#cb13-1" aria-hidden="true" tabindex="-1"></a><span class="fu">library</span>(<span class="st">&quot;SimMultiCorrData&quot;</span>)</span>
<span id="cb13-2"><a href="symptom-clustering.html#cb13-2" aria-hidden="true" tabindex="-1"></a><span class="fu">library</span>(<span class="st">&quot;printr&quot;</span>)</span>
<span id="cb13-3"><a href="symptom-clustering.html#cb13-3" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-4"><a href="symptom-clustering.html#cb13-4" aria-hidden="true" tabindex="-1"></a><span class="co"># Turn off scientific notation</span></span>
<span id="cb13-5"><a href="symptom-clustering.html#cb13-5" aria-hidden="true" tabindex="-1"></a><span class="fu">options</span>(<span class="at">scipen =</span> <span class="dv">999</span>)</span>
<span id="cb13-6"><a href="symptom-clustering.html#cb13-6" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-7"><a href="symptom-clustering.html#cb13-7" aria-hidden="true" tabindex="-1"></a><span class="co"># Set seed and sample size</span></span>
<span id="cb13-8"><a href="symptom-clustering.html#cb13-8" aria-hidden="true" tabindex="-1"></a>seed <span class="ot">&lt;-</span> <span class="dv">11</span></span>
<span id="cb13-9"><a href="symptom-clustering.html#cb13-9" aria-hidden="true" tabindex="-1"></a>n <span class="ot">&lt;-</span> <span class="dv">50</span></span>
<span id="cb13-10"><a href="symptom-clustering.html#cb13-10" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-11"><a href="symptom-clustering.html#cb13-11" aria-hidden="true" tabindex="-1"></a><span class="co"># Continuous Distributions</span></span>
<span id="cb13-12"><a href="symptom-clustering.html#cb13-12" aria-hidden="true" tabindex="-1"></a>Dist <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="st">&quot;Gaussian&quot;</span>, <span class="st">&quot;Chisq&quot;</span>, <span class="st">&quot;Beta&quot;</span>)</span>
<span id="cb13-13"><a href="symptom-clustering.html#cb13-13" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-14"><a href="symptom-clustering.html#cb13-14" aria-hidden="true" tabindex="-1"></a><span class="co"># Calculate standardized cumulants</span></span>
<span id="cb13-15"><a href="symptom-clustering.html#cb13-15" aria-hidden="true" tabindex="-1"></a><span class="co"># Those for the normal distribution are rounded to ensure the correct values </span></span>
<span id="cb13-16"><a href="symptom-clustering.html#cb13-16" aria-hidden="true" tabindex="-1"></a><span class="co"># are obtained.</span></span>
<span id="cb13-17"><a href="symptom-clustering.html#cb13-17" aria-hidden="true" tabindex="-1"></a>M1 <span class="ot">&lt;-</span> <span class="fu">round</span>(<span class="fu">calc_theory</span>(<span class="at">Dist =</span> <span class="st">&quot;Gaussian&quot;</span>, <span class="at">params =</span> <span class="fu">c</span>(<span class="dv">0</span>, <span class="dv">1</span>)))</span>
<span id="cb13-18"><a href="symptom-clustering.html#cb13-18" aria-hidden="true" tabindex="-1"></a>M2 <span class="ot">&lt;-</span> <span class="fu">calc_theory</span>(<span class="at">Dist =</span> <span class="st">&quot;Chisq&quot;</span>, <span class="at">params =</span> <span class="dv">4</span>)</span>
<span id="cb13-19"><a href="symptom-clustering.html#cb13-19" aria-hidden="true" tabindex="-1"></a>M3 <span class="ot">&lt;-</span> <span class="fu">calc_theory</span>(<span class="at">Dist =</span> <span class="st">&quot;Beta&quot;</span>, <span class="at">params =</span> <span class="fu">c</span>(<span class="dv">4</span>, <span class="dv">2</span>))</span>
<span id="cb13-20"><a href="symptom-clustering.html#cb13-20" aria-hidden="true" tabindex="-1"></a>M <span class="ot">&lt;-</span> <span class="fu">cbind</span>(M1, M2, M3)</span>
<span id="cb13-21"><a href="symptom-clustering.html#cb13-21" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-22"><a href="symptom-clustering.html#cb13-22" aria-hidden="true" tabindex="-1"></a><span class="co"># Binary and Ordinal Distributions</span></span>
<span id="cb13-23"><a href="symptom-clustering.html#cb13-23" aria-hidden="true" tabindex="-1"></a>marginal <span class="ot">&lt;-</span> <span class="fu">list</span>(<span class="fu">c</span>(<span class="fl">0.3</span>, <span class="fl">0.75</span>), <span class="fu">c</span>(<span class="fl">0.2</span>, <span class="fl">0.5</span>, <span class="fl">0.9</span>))</span>
<span id="cb13-24"><a href="symptom-clustering.html#cb13-24" aria-hidden="true" tabindex="-1"></a>support <span class="ot">&lt;-</span> <span class="fu">list</span>() <span class="co"># default support will be generated inside simulation</span></span>
<span id="cb13-25"><a href="symptom-clustering.html#cb13-25" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-26"><a href="symptom-clustering.html#cb13-26" aria-hidden="true" tabindex="-1"></a><span class="co"># Poisson Distributions</span></span>
<span id="cb13-27"><a href="symptom-clustering.html#cb13-27" aria-hidden="true" tabindex="-1"></a>lam <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="dv">1</span>, <span class="dv">5</span>, <span class="dv">10</span>)</span>
<span id="cb13-28"><a href="symptom-clustering.html#cb13-28" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-29"><a href="symptom-clustering.html#cb13-29" aria-hidden="true" tabindex="-1"></a><span class="co"># Negative Binomial Distributions</span></span>
<span id="cb13-30"><a href="symptom-clustering.html#cb13-30" aria-hidden="true" tabindex="-1"></a>size <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="dv">3</span>, <span class="dv">6</span>)</span>
<span id="cb13-31"><a href="symptom-clustering.html#cb13-31" aria-hidden="true" tabindex="-1"></a>prob <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="fl">0.2</span>, <span class="fl">0.8</span>)</span>
<span id="cb13-32"><a href="symptom-clustering.html#cb13-32" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-33"><a href="symptom-clustering.html#cb13-33" aria-hidden="true" tabindex="-1"></a>ncat <span class="ot">&lt;-</span> <span class="fu">length</span>(marginal)</span>
<span id="cb13-34"><a href="symptom-clustering.html#cb13-34" aria-hidden="true" tabindex="-1"></a>ncont <span class="ot">&lt;-</span> <span class="fu">ncol</span>(M)</span>
<span id="cb13-35"><a href="symptom-clustering.html#cb13-35" aria-hidden="true" tabindex="-1"></a>npois <span class="ot">&lt;-</span> <span class="fu">length</span>(lam)</span>
<span id="cb13-36"><a href="symptom-clustering.html#cb13-36" aria-hidden="true" tabindex="-1"></a>nnb <span class="ot">&lt;-</span> <span class="fu">length</span>(size)</span>
<span id="cb13-37"><a href="symptom-clustering.html#cb13-37" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-38"><a href="symptom-clustering.html#cb13-38" aria-hidden="true" tabindex="-1"></a><span class="co"># Create correlation matrix from a uniform distribution (0.2, 0.7)</span></span>
<span id="cb13-39"><a href="symptom-clustering.html#cb13-39" aria-hidden="true" tabindex="-1"></a><span class="fu">set.seed</span>(seed)</span>
<span id="cb13-40"><a href="symptom-clustering.html#cb13-40" aria-hidden="true" tabindex="-1"></a>Rey <span class="ot">&lt;-</span> <span class="fu">diag</span>(<span class="dv">1</span>, <span class="at">nrow =</span> (ncat <span class="sc">+</span> ncont <span class="sc">+</span> npois <span class="sc">+</span> nnb))</span>
<span id="cb13-41"><a href="symptom-clustering.html#cb13-41" aria-hidden="true" tabindex="-1"></a><span class="cf">for</span> (i <span class="cf">in</span> <span class="dv">1</span><span class="sc">:</span><span class="fu">nrow</span>(Rey)) {</span>
<span id="cb13-42"><a href="symptom-clustering.html#cb13-42" aria-hidden="true" tabindex="-1"></a>  <span class="cf">for</span> (j <span class="cf">in</span> <span class="dv">1</span><span class="sc">:</span><span class="fu">ncol</span>(Rey)) {</span>
<span id="cb13-43"><a href="symptom-clustering.html#cb13-43" aria-hidden="true" tabindex="-1"></a>    <span class="cf">if</span> (i <span class="sc">&gt;</span> j) Rey[i, j] <span class="ot">&lt;-</span> <span class="fu">runif</span>(<span class="dv">1</span>, <span class="fl">0.2</span>, <span class="fl">0.7</span>)</span>
<span id="cb13-44"><a href="symptom-clustering.html#cb13-44" aria-hidden="true" tabindex="-1"></a>    Rey[j, i] <span class="ot">&lt;-</span> Rey[i, j]</span>
<span id="cb13-45"><a href="symptom-clustering.html#cb13-45" aria-hidden="true" tabindex="-1"></a>  }</span>
<span id="cb13-46"><a href="symptom-clustering.html#cb13-46" aria-hidden="true" tabindex="-1"></a>}</span>
<span id="cb13-47"><a href="symptom-clustering.html#cb13-47" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-48"><a href="symptom-clustering.html#cb13-48" aria-hidden="true" tabindex="-1"></a><span class="co"># Check to see if Rey is positive-definite</span></span>
<span id="cb13-49"><a href="symptom-clustering.html#cb13-49" aria-hidden="true" tabindex="-1"></a><span class="fu">min</span>(<span class="fu">eigen</span>(Rey, <span class="at">symmetric =</span> <span class="cn">TRUE</span>)<span class="sc">$</span>values) <span class="sc">&lt;</span> <span class="dv">0</span></span></code></pre></div>
<pre><code>## [1] FALSE</code></pre>
</div>
<div id="step-2-calculate-the-lower-kurtosis-bounds-for-the-continuous-variables" class="section level4 unnumbered hasAnchor">
<h4>Step 2: Calculate the lower kurtosis bounds for the continuous variables<a href="symptom-clustering.html#step-2-calculate-the-lower-kurtosis-bounds-for-the-continuous-variables" class="anchor-section" aria-label="Anchor link to header"></a></h4>
<div class="sourceCode" id="cb15"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb15-1"><a href="symptom-clustering.html#cb15-1" aria-hidden="true" tabindex="-1"></a>Lower <span class="ot">&lt;-</span> <span class="fu">list</span>()</span>
<span id="cb15-2"><a href="symptom-clustering.html#cb15-2" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb15-3"><a href="symptom-clustering.html#cb15-3" aria-hidden="true" tabindex="-1"></a><span class="co"># list of standardized kurtosis values to add in case only invalid power </span></span>
<span id="cb15-4"><a href="symptom-clustering.html#cb15-4" aria-hidden="true" tabindex="-1"></a><span class="co">#     method pdfs are produced</span></span>
<span id="cb15-5"><a href="symptom-clustering.html#cb15-5" aria-hidden="true" tabindex="-1"></a>Skurt <span class="ot">&lt;-</span> <span class="fu">list</span>(<span class="fu">seq</span>(<span class="fl">0.5</span>, <span class="dv">2</span>, <span class="fl">0.5</span>), <span class="fu">seq</span>(<span class="fl">0.02</span>, <span class="fl">0.05</span>, <span class="fl">0.01</span>), <span class="fu">seq</span>(<span class="fl">0.02</span>, <span class="fl">0.05</span>, <span class="fl">0.01</span>))</span>
<span id="cb15-6"><a href="symptom-clustering.html#cb15-6" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb15-7"><a href="symptom-clustering.html#cb15-7" aria-hidden="true" tabindex="-1"></a>start.time <span class="ot">&lt;-</span> <span class="fu">Sys.time</span>()</span>
<span id="cb15-8"><a href="symptom-clustering.html#cb15-8" aria-hidden="true" tabindex="-1"></a><span class="cf">for</span> (i <span class="cf">in</span> <span class="dv">1</span><span class="sc">:</span><span class="fu">ncol</span>(M)) {</span>
<span id="cb15-9"><a href="symptom-clustering.html#cb15-9" aria-hidden="true" tabindex="-1"></a>  Lower[[i]] <span class="ot">&lt;-</span> <span class="fu">calc_lower_skurt</span>(<span class="at">method =</span> <span class="st">&quot;Polynomial&quot;</span>, <span class="at">skews =</span> M[<span class="dv">3</span>, i], </span>
<span id="cb15-10"><a href="symptom-clustering.html#cb15-10" aria-hidden="true" tabindex="-1"></a>                                 <span class="at">fifths =</span> M[<span class="dv">5</span>, i], <span class="at">sixths =</span> M[<span class="dv">6</span>, i], </span>
<span id="cb15-11"><a href="symptom-clustering.html#cb15-11" aria-hidden="true" tabindex="-1"></a>                                 <span class="at">Skurt =</span> Skurt[[i]], <span class="at">seed =</span> <span class="dv">104</span>)</span>
<span id="cb15-12"><a href="symptom-clustering.html#cb15-12" aria-hidden="true" tabindex="-1"></a>}</span></code></pre></div>
<pre><code>## Only invalid pdf constants could be found.
##                Try more starting values (increase n)
##                or a different seed or Skurt vector.
##                Also verify standardized cumulant values.</code></pre>
<div class="sourceCode" id="cb17"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb17-1"><a href="symptom-clustering.html#cb17-1" aria-hidden="true" tabindex="-1"></a>stop.time <span class="ot">&lt;-</span> <span class="fu">Sys.time</span>()</span>
<span id="cb17-2"><a href="symptom-clustering.html#cb17-2" aria-hidden="true" tabindex="-1"></a>Time <span class="ot">&lt;-</span> <span class="fu">round</span>(<span class="fu">difftime</span>(stop.time, start.time, <span class="at">units =</span> <span class="st">&quot;min&quot;</span>), <span class="dv">3</span>)</span>
<span id="cb17-3"><a href="symptom-clustering.html#cb17-3" aria-hidden="true" tabindex="-1"></a><span class="fu">cat</span>(<span class="st">&quot;Total computation time:&quot;</span>, Time, <span class="st">&quot;minutes </span><span class="sc">\n</span><span class="st">&quot;</span>)</span></code></pre></div>
<pre><code>## Total computation time: 0.76 minutes</code></pre>
<p>In each case, the lower kurtosis boundary calculated from the original Lagrangean constraint equations (see poly_skurt_check) generates constants that yield an invalid power method pdf. This is indicated by the fact that each Invalid.C data.frame contains solutions (i.e. see Lower[[2]]$Invalid.C).</p>
<p>For Distributions 2 and 3, lower kurtosis values that generate constants that yield valid power method pdfs could be found by adding the values displayed in SkurtCorr1 to the original lower kurtosis boundary. For Distribution 1 (Normal), no kurtosis addition (of those specified in Skurt) generated constants that yield a valid pdf. This does not cause a problem since the simulated variable has a valid power method pdf.</p>
<p>Look at lower kurtosis boundaries and sixth cumulant corrections:</p>
<div class="sourceCode" id="cb19"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb19-1"><a href="symptom-clustering.html#cb19-1" aria-hidden="true" tabindex="-1"></a><span class="fu">as.matrix</span>(Lower[[<span class="dv">1</span>]]<span class="sc">$</span>Min[<span class="dv">1</span>, <span class="fu">c</span>(<span class="st">&quot;skew&quot;</span>, <span class="st">&quot;fifth&quot;</span>, <span class="st">&quot;sixth&quot;</span>, <span class="st">&quot;valid.pdf&quot;</span>, </span>
<span id="cb19-2"><a href="symptom-clustering.html#cb19-2" aria-hidden="true" tabindex="-1"></a>                              <span class="st">&quot;skurtosis&quot;</span>)], </span>
<span id="cb19-3"><a href="symptom-clustering.html#cb19-3" aria-hidden="true" tabindex="-1"></a>          <span class="at">nrow =</span> <span class="dv">1</span>, <span class="at">ncol =</span> <span class="dv">5</span>, <span class="at">byrow =</span> <span class="cn">TRUE</span>) </span></code></pre></div>
<table>
<thead>
<tr>
<th style="text-align:left;">
</th>
<th style="text-align:left;">
skew
</th>
<th style="text-align:left;">
fifth
</th>
<th style="text-align:left;">
sixth
</th>
<th style="text-align:left;">
valid.pdf
</th>
<th style="text-align:left;">
skurtosis
</th>
</tr>
</thead>
<tbody>
<tr>
<td style="text-align:left;">
7
</td>
<td style="text-align:left;">
0
</td>
<td style="text-align:left;">
0
</td>
<td style="text-align:left;">
0
</td>
<td style="text-align:left;">
FALSE
</td>
<td style="text-align:left;">
-0.2829743
</td>
</tr>
</tbody>
</table>
<p>Note that valid.pdf = FALSE, which means that a kurtosis correction could not be found that yielded constants that produce a valid power method pdf. The original lower kurtosis boundary (see Lower[[1]]$Min) is -0.282974. The standardized kurtosis for the distribution (0) falls above this boundary.</p>
<div class="sourceCode" id="cb20"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb20-1"><a href="symptom-clustering.html#cb20-1" aria-hidden="true" tabindex="-1"></a><span class="fu">as.matrix</span>(Lower[[<span class="dv">2</span>]]<span class="sc">$</span>Min[<span class="dv">1</span>, <span class="fu">c</span>(<span class="st">&quot;skew&quot;</span>, <span class="st">&quot;fifth&quot;</span>, <span class="st">&quot;sixth&quot;</span>, <span class="st">&quot;valid.pdf&quot;</span>, </span>
<span id="cb20-2"><a href="symptom-clustering.html#cb20-2" aria-hidden="true" tabindex="-1"></a>                              <span class="st">&quot;skurtosis&quot;</span>)], </span>
<span id="cb20-3"><a href="symptom-clustering.html#cb20-3" aria-hidden="true" tabindex="-1"></a>          <span class="at">nrow =</span> <span class="dv">1</span>, <span class="at">ncol =</span> <span class="dv">5</span>, <span class="at">byrow =</span> <span class="cn">TRUE</span>)</span></code></pre></div>
<table>
<thead>
<tr>
<th style="text-align:left;">
skew
</th>
<th style="text-align:left;">
fifth
</th>
<th style="text-align:left;">
sixth
</th>
<th style="text-align:left;">
valid.pdf
</th>
<th style="text-align:left;">
skurtosis
</th>
</tr>
</thead>
<tbody>
<tr>
<td style="text-align:left;">
1.414214
</td>
<td style="text-align:left;">
8.485281
</td>
<td style="text-align:left;">
30
</td>
<td style="text-align:left;">
TRUE
</td>
<td style="text-align:left;">
3.005959
</td>
</tr>
</tbody>
</table>
<div class="sourceCode" id="cb21"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb21-1"><a href="symptom-clustering.html#cb21-1" aria-hidden="true" tabindex="-1"></a>Lower[[<span class="dv">2</span>]]<span class="sc">$</span>SkurtCorr1</span></code></pre></div>
<pre><code>## [1] 0.03</code></pre>
<p>The original lower kurtosis boundary (see Lower[[2]]$Invalid.C) of 2.975959 has been increased to 3.005959, so that the kurtosis correction is 0.03. The standardized kurtosis for the distribution (3) is approximately equal to this boundary. This does not cause a problem since the simulated variable has a valid power method pdf.</p>
<div class="sourceCode" id="cb23"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb23-1"><a href="symptom-clustering.html#cb23-1" aria-hidden="true" tabindex="-1"></a><span class="fu">as.matrix</span>(Lower[[<span class="dv">3</span>]]<span class="sc">$</span>Min[<span class="dv">1</span>, <span class="fu">c</span>(<span class="st">&quot;skew&quot;</span>, <span class="st">&quot;fifth&quot;</span>, <span class="st">&quot;sixth&quot;</span>, <span class="st">&quot;valid.pdf&quot;</span>, </span>
<span id="cb23-2"><a href="symptom-clustering.html#cb23-2" aria-hidden="true" tabindex="-1"></a>                              <span class="st">&quot;skurtosis&quot;</span>)], </span>
<span id="cb23-3"><a href="symptom-clustering.html#cb23-3" aria-hidden="true" tabindex="-1"></a>          <span class="at">nrow =</span> <span class="dv">1</span>, <span class="at">ncol =</span> <span class="dv">5</span>, <span class="at">byrow =</span> <span class="cn">TRUE</span>) </span></code></pre></div>
<table>
<thead>
<tr>
<th style="text-align:left;">
skew
</th>
<th style="text-align:left;">
fifth
</th>
<th style="text-align:left;">
sixth
</th>
<th style="text-align:left;">
valid.pdf
</th>
<th style="text-align:left;">
skurtosis
</th>
</tr>
</thead>
<tbody>
<tr>
<td style="text-align:left;">
-0.4677072
</td>
<td style="text-align:left;">
1.403122
</td>
<td style="text-align:left;">
-0.4261364
</td>
<td style="text-align:left;">
TRUE
</td>
<td style="text-align:left;">
-0.3722661
</td>
</tr>
</tbody>
</table>
<div class="sourceCode" id="cb24"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb24-1"><a href="symptom-clustering.html#cb24-1" aria-hidden="true" tabindex="-1"></a>Lower[[<span class="dv">3</span>]]<span class="sc">$</span>SkurtCorr1</span></code></pre></div>
<pre><code>## [1] 0.02</code></pre>
<p>The original lower kurtosis boundary (see Lower[[3]]$Invalid.C) of -0.392266 has been increased to -0.372266, so that the kurtosis correction is 0.02. The standardized kurtosis for the distribution (-0.2727) falls above this boundary.</p>
<p>The remaining steps vary by simulation method, we will concentrade for now on Method 1!</p>
</div>
<div id="step-3-verify-the-target-correlation-matrix-falls-within-the-feasible-correlation-bounds" class="section level4 unnumbered hasAnchor">
<h4>Step 3: Verify the target correlation matrix falls within the feasible correlation bounds<a href="symptom-clustering.html#step-3-verify-the-target-correlation-matrix-falls-within-the-feasible-correlation-bounds" class="anchor-section" aria-label="Anchor link to header"></a></h4>
<div class="sourceCode" id="cb26"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb26-1"><a href="symptom-clustering.html#cb26-1" aria-hidden="true" tabindex="-1"></a>valid <span class="ot">&lt;-</span> <span class="fu">valid_corr</span>(<span class="at">k_cat =</span> ncat, <span class="at">k_cont =</span> ncont, <span class="at">k_pois =</span> npois,</span>
<span id="cb26-2"><a href="symptom-clustering.html#cb26-2" aria-hidden="true" tabindex="-1"></a>                    <span class="at">k_nb =</span> nnb, <span class="at">method =</span> <span class="st">&quot;Polynomial&quot;</span>, <span class="at">means =</span>  M[<span class="dv">1</span>, ],</span>
<span id="cb26-3"><a href="symptom-clustering.html#cb26-3" aria-hidden="true" tabindex="-1"></a>                    <span class="at">vars =</span>  (M[<span class="dv">2</span>, ])<span class="sc">^</span><span class="dv">2</span>, <span class="at">skews =</span> M[<span class="dv">3</span>, ], <span class="at">skurts =</span> M[<span class="dv">4</span>, ],</span>
<span id="cb26-4"><a href="symptom-clustering.html#cb26-4" aria-hidden="true" tabindex="-1"></a>                    <span class="at">fifths =</span> M[<span class="dv">5</span>, ], <span class="at">sixths =</span> M[<span class="dv">6</span>, ], <span class="at">marginal =</span> marginal, </span>
<span id="cb26-5"><a href="symptom-clustering.html#cb26-5" aria-hidden="true" tabindex="-1"></a>                    <span class="at">lam =</span> lam, <span class="at">size =</span> size, <span class="at">prob =</span> prob, <span class="at">rho =</span> Rey, </span>
<span id="cb26-6"><a href="symptom-clustering.html#cb26-6" aria-hidden="true" tabindex="-1"></a>                    <span class="at">seed =</span> seed)</span></code></pre></div>
<pre><code>## 
##  Constants: Distribution  1  
## 
##  Constants: Distribution  2  
## 
##  Constants: Distribution  3  
## All correlations are in feasible range!</code></pre>
</div>
<div id="step-4-generate-the-variables" class="section level4 unnumbered hasAnchor">
<h4>Step 4: Generate the variables<a href="symptom-clustering.html#step-4-generate-the-variables" class="anchor-section" aria-label="Anchor link to header"></a></h4>
<p>Simulate variables without the error loop.</p>
<div class="sourceCode" id="cb28"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb28-1"><a href="symptom-clustering.html#cb28-1" aria-hidden="true" tabindex="-1"></a>A <span class="ot">&lt;-</span> <span class="fu">rcorrvar</span>(<span class="at">n =</span> <span class="dv">50</span>, <span class="at">k_cont =</span> ncont, <span class="at">k_cat =</span> ncat, <span class="at">k_pois =</span> npois,</span>
<span id="cb28-2"><a href="symptom-clustering.html#cb28-2" aria-hidden="true" tabindex="-1"></a>              <span class="at">k_nb =</span> nnb, <span class="at">method =</span> <span class="st">&quot;Polynomial&quot;</span>, <span class="at">means =</span>  M[<span class="dv">1</span>, ], </span>
<span id="cb28-3"><a href="symptom-clustering.html#cb28-3" aria-hidden="true" tabindex="-1"></a>              <span class="at">vars =</span>  (M[<span class="dv">2</span>, ])<span class="sc">^</span><span class="dv">2</span>, <span class="at">skews =</span> M[<span class="dv">3</span>, ], <span class="at">skurts =</span> M[<span class="dv">4</span>, ], </span>
<span id="cb28-4"><a href="symptom-clustering.html#cb28-4" aria-hidden="true" tabindex="-1"></a>              <span class="at">fifths =</span> M[<span class="dv">5</span>, ], <span class="at">sixths =</span> M[<span class="dv">6</span>, ], <span class="at">marginal =</span> marginal,</span>
<span id="cb28-5"><a href="symptom-clustering.html#cb28-5" aria-hidden="true" tabindex="-1"></a>              <span class="at">lam =</span> lam, <span class="at">size =</span> size, <span class="at">prob =</span> prob, <span class="at">rho =</span> Rey, <span class="at">seed =</span> seed)</span></code></pre></div>
<pre><code>## 
##  Constants: Distribution  1  
## 
##  Constants: Distribution  2  
## 
##  Constants: Distribution  3  
## 
## Constants calculation time: 0 minutes 
## Intercorrelation calculation time: 0.085 minutes 
## Error loop calculation time: 0 minutes 
## Total Simulation time: 0.085 minutes</code></pre>
</div>
<div id="step-5-checking-results" class="section level4 unnumbered hasAnchor">
<h4>Step 5: Checking results<a href="symptom-clustering.html#step-5-checking-results" class="anchor-section" aria-label="Anchor link to header"></a></h4>
<p>We will come back to this point.</p>
</div>
<div id="step-6-applying-clustering-methods-to-dataset" class="section level4 hasAnchor" number="5.1.1.1">
<h4><span class="header-section-number">5.1.1.1</span> Step 6: Applying clustering methods to dataset<a href="symptom-clustering.html#step-6-applying-clustering-methods-to-dataset" class="anchor-section" aria-label="Anchor link to header"></a></h4>
<p>First we will create the dataset of interest</p>
<div class="sourceCode" id="cb30"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb30-1"><a href="symptom-clustering.html#cb30-1" aria-hidden="true" tabindex="-1"></a>cluster_df <span class="ot">&lt;-</span> <span class="fu">as_tibble</span>(<span class="fu">cbind</span>(A<span class="sc">$</span>ordinal_variables, A<span class="sc">$</span>continuous_variables), <span class="at">.name_repair =</span> <span class="sc">~</span> <span class="fu">c</span>(<span class="st">&quot;ordinal_one&quot;</span>, <span class="st">&quot;ordinal_two&quot;</span>, <span class="st">&quot;continuous_one&quot;</span>, <span class="st">&quot;continuous_two&quot;</span>, <span class="st">&quot;continuous_three&quot;</span>))</span></code></pre></div>
<p>Next, we will use PAM on the specified data.</p>
<div class="sourceCode" id="cb31"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb31-1"><a href="symptom-clustering.html#cb31-1" aria-hidden="true" tabindex="-1"></a>sim_ordinals <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="st">&quot;ordinal_one&quot;</span>, <span class="st">&quot;ordinal_two&quot;</span>)</span>
<span id="cb31-2"><a href="symptom-clustering.html#cb31-2" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb31-3"><a href="symptom-clustering.html#cb31-3" aria-hidden="true" tabindex="-1"></a>cluster_df[sim_ordinals] <span class="ot">&lt;-</span> <span class="fu">lapply</span>(cluster_df[sim_ordinals], factor)</span>
<span id="cb31-4"><a href="symptom-clustering.html#cb31-4" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb31-5"><a href="symptom-clustering.html#cb31-5" aria-hidden="true" tabindex="-1"></a>dist_gower <span class="ot">&lt;-</span> <span class="fu">daisy</span>(cluster_df, <span class="at">metric =</span> <span class="st">&quot;gower&quot;</span>, <span class="at">stand =</span> <span class="cn">FALSE</span>)</span>
<span id="cb31-6"><a href="symptom-clustering.html#cb31-6" aria-hidden="true" tabindex="-1"></a>gower_matrix <span class="ot">&lt;-</span> <span class="fu">as.matrix</span>(dist_gower)</span>
<span id="cb31-7"><a href="symptom-clustering.html#cb31-7" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb31-8"><a href="symptom-clustering.html#cb31-8" aria-hidden="true" tabindex="-1"></a>DistanceMap <span class="ot">&lt;-</span> <span class="fu">fviz_dist</span>(dist_gower, <span class="at">order =</span> <span class="cn">TRUE</span>, <span class="at">show_labels =</span> <span class="cn">TRUE</span>, <span class="at">lab_size =</span> <span class="dv">4</span>) <span class="sc">+</span> <span class="fu">labs</span>(<span class="at">title =</span> <span class="st">&quot;Distance: Sim Measurements&quot;</span>)</span>
<span id="cb31-9"><a href="symptom-clustering.html#cb31-9" aria-hidden="true" tabindex="-1"></a><span class="fu">fviz_nbclust</span>(gower_matrix, pam, <span class="at">method =</span><span class="st">&quot;silhouette&quot;</span>)<span class="sc">+</span><span class="fu">theme_minimal</span>()</span></code></pre></div>
<p><img src="Demographics_and_Psychometrics_files/figure-html/unnamed-chunk-20-1.png" width="672" /></p>
<div class="sourceCode" id="cb32"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb32-1"><a href="symptom-clustering.html#cb32-1" aria-hidden="true" tabindex="-1"></a>metoids <span class="ot">&lt;-</span> <span class="fu">pam</span>(gower_matrix,<span class="dv">4</span>, <span class="at">metric =</span> <span class="st">&quot;manhattan&quot;</span>, <span class="at">stand =</span> <span class="cn">FALSE</span>)</span>
<span id="cb32-2"><a href="symptom-clustering.html#cb32-2" aria-hidden="true" tabindex="-1"></a><span class="fu">fviz_cluster</span>(metoids, </span>
<span id="cb32-3"><a href="symptom-clustering.html#cb32-3" aria-hidden="true" tabindex="-1"></a>             <span class="co">#palette =c(&quot;#007892&quot;,&quot;#D9455F&quot;),</span></span>
<span id="cb32-4"><a href="symptom-clustering.html#cb32-4" aria-hidden="true" tabindex="-1"></a>             <span class="at">ellipse.type =</span><span class="st">&quot;euclid&quot;</span>,</span>
<span id="cb32-5"><a href="symptom-clustering.html#cb32-5" aria-hidden="true" tabindex="-1"></a>             <span class="at">repel =</span><span class="cn">TRUE</span>,</span>
<span id="cb32-6"><a href="symptom-clustering.html#cb32-6" aria-hidden="true" tabindex="-1"></a>             <span class="at">ggtheme =</span><span class="fu">theme_minimal</span>())</span></code></pre></div>
<p><img src="Demographics_and_Psychometrics_files/figure-html/unnamed-chunk-20-2.png" width="672" /></p>
</div>
</div>
<div id="using-predefined-functions" class="section level3 unnumbered hasAnchor">
<h3>Using predefined functions<a href="symptom-clustering.html#using-predefined-functions" class="anchor-section" aria-label="Anchor link to header"></a></h3>
<p>Let’s start with trying the genMixedData() function from the kamila package</p>
<div class="sourceCode" id="cb33"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb33-1"><a href="symptom-clustering.html#cb33-1" aria-hidden="true" tabindex="-1"></a>sim_df <span class="ot">&lt;-</span> <span class="fu">genMixedData</span>(<span class="at">sampSize =</span> <span class="dv">50</span>, <span class="at">nConVar =</span> <span class="dv">2</span>, <span class="at">nCatVar =</span> <span class="dv">10</span>, <span class="at">nCatLevels =</span> <span class="dv">4</span>, <span class="at">conErrLev =</span> <span class="fl">0.4</span>, <span class="at">nConWithErr=</span><span class="dv">1</span>, <span class="at">nCatWithErr=</span><span class="dv">1</span>, <span class="at">catErrLev =</span> <span class="fl">0.3</span>, <span class="at">popProportions=</span><span class="fu">c</span>(<span class="fl">0.3</span>,<span class="fl">0.7</span>))</span>
<span id="cb33-2"><a href="symptom-clustering.html#cb33-2" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb33-3"><a href="symptom-clustering.html#cb33-3" aria-hidden="true" tabindex="-1"></a>sim_df</span></code></pre></div>
<pre><code>## $trueID
##  [1] 2 1 2 1 1 2 2 1 2 2 1 2 2 2 2 1 2 2 2 1 1 2 2 1 2 1 2 2 2 2 1 1 2 1 2 2 1 2 2 2 2 2 2 2 2 2 2 2 2 1
## 
## $trueMus
## [1] 0.000000 5.151659
## 
## $conVars
##              [,1]        [,2]
##  [1,]  1.57914954  6.17722998
##  [2,]  1.51866100 -0.28477301
##  [3,]  5.53053954  3.93094089
##  [4,] -3.92038200  0.18130348
##  [5,]  1.04755074 -0.13889136
##  [6,]  9.75659845  5.15742279
##  [7,]  6.16259769  5.53693901
##  [8,]  1.01439509 -0.37066003
##  [9,]  4.80768717  5.79603516
## [10,]  0.03406253  4.93117205
## [11,]  3.96112107  0.33178196
## [12,]  1.48056134  6.24849762
## [13,]  7.23010258  5.58684010
## [14,] 10.36792639  4.82572702
## [15,]  0.59461442  6.30046623
## [16,]  1.33525875  0.99350386
## [17,]  4.18531471  5.70005557
## [18,] -0.66128691  5.39039034
## [19,]  2.93932067  4.52375253
## [20,] -3.42460585  1.36065245
## [21,] -2.65879696 -0.60025959
## [22,]  0.52053214  7.33899160
## [23,]  6.67485598  6.68426923
## [24,]  6.85469344 -0.23570036
## [25,]  1.34545387  4.12523771
## [26,]  2.53191435 -0.71040656
## [27,]  7.34762630  5.40854232
## [28,]  6.06970993  4.90496673
## [29,]  3.60345318  4.80411601
## [30,]  4.58036167  4.20004004
## [31,]  0.70540531 -0.04502772
## [32,]  0.07973817 -0.78490447
## [33,]  4.65896431  3.48371667
## [34,]  2.94982569 -0.38022652
## [35,]  4.28409593  6.07065522
## [36,]  8.57634782  4.57631164
## [37,] -3.53714948  0.60796432
## [38,]  1.17335424  3.53377590
## [39,] 13.50804312  5.09609664
## [40,]  2.87407441  5.67106581
## [41,]  6.31783373  5.45281197
## [42,]  7.44119564  5.25733480
## [43,]  3.80528978  4.51095260
## [44,]  7.56898971  4.30195426
## [45,]  8.26900186  4.12752982
## [46,]  4.03762258  5.26930520
## [47,]  3.03135491  4.20418399
## [48,]  6.05885495  4.66110116
## [49,] 10.59917038  4.89556641
## [50,] -2.83238089  1.84386201
## 
## $errVariance
## [1] 8.367006
## 
## $popProbsNoErr
##   popProb1 popProb2
## 1   0.4975   0.0025
## 2   0.4975   0.0025
## 3   0.0025   0.4975
## 4   0.0025   0.4975
## 
## $popProbsWithErr
##   popProb1Err popProb2Err
## 1       0.425       0.075
## 2       0.425       0.075
## 3       0.075       0.425
## 4       0.075       0.425
## 
## $catVars
##       [,1] [,2] [,3] [,4] [,5] [,6] [,7] [,8] [,9] [,10]
##  [1,]    4    4    3    3    4    3    3    4    4     4
##  [2,]    1    2    2    1    1    2    1    2    1     2
##  [3,]    4    4    3    4    4    3    4    3    4     4
##  [4,]    2    1    2    1    2    1    2    2    2     1
##  [5,]    2    1    1    1    1    1    2    2    1     1
##  [6,]    3    4    3    3    3    4    4    3    4     4
##  [7,]    4    4    3    4    4    3    4    3    3     3
##  [8,]    1    1    2    1    2    1    1    1    2     1
##  [9,]    3    3    4    4    4    4    4    4    3     3
## [10,]    3    3    4    3    3    4    3    4    3     3
## [11,]    2    1    2    2    1    2    2    1    2     1
## [12,]    4    3    3    3    3    3    4    3    3     4
## [13,]    4    4    3    4    4    4    4    3    3     3
## [14,]    3    3    4    3    3    3    3    4    3     1
## [15,]    4    4    3    4    4    4    4    4    4     3
## [16,]    2    1    2    2    1    2    2    2    1     4
## [17,]    3    3    3    4    4    4    3    3    4     4
## [18,]    4    3    4    3    3    3    3    4    4     3
## [19,]    4    4    3    4    3    4    4    4    4     4
## [20,]    2    1    1    1    2    2    2    1    2     2
## [21,]    1    2    1    2    1    1    1    1    1     2
## [22,]    3    3    3    4    3    4    4    3    3     4
## [23,]    3    4    3    4    4    4    4    4    3     3
## [24,]    1    1    1    2    1    3    1    1    1     2
## [25,]    4    3    3    3    3    3    3    3    4     4
## [26,]    2    2    1    1    1    1    2    2    2     2
## [27,]    4    4    3    4    3    3    3    3    3     3
## [28,]    4    3    3    3    3    4    3    4    4     3
## [29,]    4    3    4    4    4    4    3    3    3     3
## [30,]    4    4    3    4    4    4    4    3    3     3
## [31,]    1    2    2    1    2    2    2    1    1     1
## [32,]    1    2    1    2    2    1    1    1    2     2
## [33,]    4    3    3    3    3    3    4    4    4     3
## [34,]    2    1    2    1    2    1    1    2    1     1
## [35,]    3    4    4    4    3    3    4    4    4     3
## [36,]    3    3    4    4    4    3    4    4    4     3
## [37,]    1    1    2    1    1    1    1    1    2     3
## [38,]    3    4    3    3    4    3    3    4    4     4
## [39,]    4    3    4    3    3    3    4    3    3     4
## [40,]    4    3    3    3    3    3    4    4    3     1
## [41,]    4    4    3    3    3    3    3    4    3     3
## [42,]    3    3    3    3    4    4    3    3    4     3
## [43,]    4    3    4    3    3    4    3    4    4     4
## [44,]    3    4    3    4    3    4    3    4    3     3
## [45,]    4    4    4    3    3    4    3    3    4     4
## [46,]    4    4    4    3    3    3    3    4    4     2
## [47,]    3    3    3    3    4    3    3    3    4     4
## [48,]    4    3    3    4    3    4    3    4    4     4
## [49,]    3    3    3    4    4    4    4    3    4     4
## [50,]    1    2    1    2    2    1    1    2    2     2</code></pre>
<p>Seems to me way too restricted to be of any use.</p>
<p>Next we will have a look at fabricatr.</p>
<div class="sourceCode" id="cb35"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb35-1"><a href="symptom-clustering.html#cb35-1" aria-hidden="true" tabindex="-1"></a>categorical_example <span class="ot">&lt;-</span> <span class="fu">fabricate</span>(</span>
<span id="cb35-2"><a href="symptom-clustering.html#cb35-2" aria-hidden="true" tabindex="-1"></a>  <span class="at">N =</span> <span class="dv">50</span>,</span>
<span id="cb35-3"><a href="symptom-clustering.html#cb35-3" aria-hidden="true" tabindex="-1"></a>  <span class="at">p1 =</span> <span class="fu">runif</span>(N, <span class="dv">0</span>, <span class="dv">1</span>),</span>
<span id="cb35-4"><a href="symptom-clustering.html#cb35-4" aria-hidden="true" tabindex="-1"></a>  <span class="at">p2 =</span> <span class="fu">runif</span>(N, <span class="dv">0</span>, <span class="dv">1</span>),</span>
<span id="cb35-5"><a href="symptom-clustering.html#cb35-5" aria-hidden="true" tabindex="-1"></a>  <span class="at">p3 =</span> <span class="fu">runif</span>(N, <span class="dv">0</span>, <span class="dv">1</span>),</span>
<span id="cb35-6"><a href="symptom-clustering.html#cb35-6" aria-hidden="true" tabindex="-1"></a>  <span class="at">cat =</span> <span class="fu">draw_categorical</span>(<span class="at">N =</span> N, <span class="at">prob =</span> <span class="fu">c</span>(<span class="fl">0.5</span>, <span class="fl">0.5</span>)))</span>
<span id="cb35-7"><a href="symptom-clustering.html#cb35-7" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb35-8"><a href="symptom-clustering.html#cb35-8" aria-hidden="true" tabindex="-1"></a><span class="co"># using draw_binary_iccc</span></span>
<span id="cb35-9"><a href="symptom-clustering.html#cb35-9" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb35-10"><a href="symptom-clustering.html#cb35-10" aria-hidden="true" tabindex="-1"></a><span class="do">## 100 individual population, 20 each in each of 5 clusters</span></span>
<span id="cb35-11"><a href="symptom-clustering.html#cb35-11" aria-hidden="true" tabindex="-1"></a>clusters <span class="ot">=</span> <span class="fu">rep</span>(<span class="dv">1</span><span class="sc">:</span><span class="dv">5</span>, <span class="dv">20</span>)</span>
<span id="cb35-12"><a href="symptom-clustering.html#cb35-12" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb35-13"><a href="symptom-clustering.html#cb35-13" aria-hidden="true" tabindex="-1"></a><span class="do">## Individuals have a 20% chance of smoking, but clusters are highly correlated</span></span>
<span id="cb35-14"><a href="symptom-clustering.html#cb35-14" aria-hidden="true" tabindex="-1"></a><span class="do">## in their tendency to smoke</span></span>
<span id="cb35-15"><a href="symptom-clustering.html#cb35-15" aria-hidden="true" tabindex="-1"></a>smoker <span class="ot">=</span> <span class="fu">draw_binary_icc</span>(<span class="at">prob =</span> <span class="fl">0.2</span>, <span class="at">clusters =</span> clusters, <span class="at">ICC =</span> <span class="fl">0.5</span>)</span>
<span id="cb35-16"><a href="symptom-clustering.html#cb35-16" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb35-17"><a href="symptom-clustering.html#cb35-17" aria-hidden="true" tabindex="-1"></a><span class="do">## health maniac</span></span>
<span id="cb35-18"><a href="symptom-clustering.html#cb35-18" aria-hidden="true" tabindex="-1"></a>clusters <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="fu">rep</span>(<span class="dv">1</span><span class="sc">:</span><span class="dv">2</span>, <span class="dv">50</span>))</span>
<span id="cb35-19"><a href="symptom-clustering.html#cb35-19" aria-hidden="true" tabindex="-1"></a>maniacs <span class="ot">&lt;-</span> <span class="fu">draw_binary_icc</span>(<span class="at">prob =</span> <span class="fl">0.5</span>, <span class="at">clusters =</span> clusters, <span class="at">ICC =</span> <span class="fl">0.8</span>)</span>
<span id="cb35-20"><a href="symptom-clustering.html#cb35-20" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb35-21"><a href="symptom-clustering.html#cb35-21" aria-hidden="true" tabindex="-1"></a><span class="do">## sim_iq</span></span>
<span id="cb35-22"><a href="symptom-clustering.html#cb35-22" aria-hidden="true" tabindex="-1"></a>clusters <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="fu">rep</span>(<span class="dv">1</span><span class="sc">:</span><span class="dv">2</span>, <span class="dv">50</span>))</span>
<span id="cb35-23"><a href="symptom-clustering.html#cb35-23" aria-hidden="true" tabindex="-1"></a>sim_iq <span class="ot">&lt;-</span> <span class="fu">draw_binary_icc</span>(<span class="at">prob =</span> <span class="fl">0.5</span>, <span class="at">clusters =</span> clusters, <span class="at">ICC =</span> <span class="fl">0.8</span>)</span>
<span id="cb35-24"><a href="symptom-clustering.html#cb35-24" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb35-25"><a href="symptom-clustering.html#cb35-25" aria-hidden="true" tabindex="-1"></a><span class="do">## noise</span></span>
<span id="cb35-26"><a href="symptom-clustering.html#cb35-26" aria-hidden="true" tabindex="-1"></a>clusters <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="fu">rep</span>(<span class="dv">1</span><span class="sc">:</span><span class="dv">2</span>, <span class="dv">50</span>))</span>
<span id="cb35-27"><a href="symptom-clustering.html#cb35-27" aria-hidden="true" tabindex="-1"></a>noise <span class="ot">&lt;-</span> <span class="fu">draw_binary_icc</span>(<span class="at">prob =</span> <span class="fl">0.5</span>, <span class="at">clusters =</span> clusters, <span class="at">ICC =</span> <span class="fl">0.1</span>)</span>
<span id="cb35-28"><a href="symptom-clustering.html#cb35-28" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb35-29"><a href="symptom-clustering.html#cb35-29" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb35-30"><a href="symptom-clustering.html#cb35-30" aria-hidden="true" tabindex="-1"></a>cluster_df <span class="ot">&lt;-</span> <span class="fu">cbind</span>(smoker, maniacs, sim_iq, noise)  </span>
<span id="cb35-31"><a href="symptom-clustering.html#cb35-31" aria-hidden="true" tabindex="-1"></a>cluster_df <span class="ot">&lt;-</span> <span class="fu">as_tibble</span>(cluster_df)</span></code></pre></div>
</div>
<div id="statistical-rethinking" class="section level3 unnumbered hasAnchor">
<h3>Statistical Rethinking<a href="symptom-clustering.html#statistical-rethinking" class="anchor-section" aria-label="Anchor link to header"></a></h3>
</div>
<div id="doing-it-from-scratch" class="section level3 unnumbered hasAnchor">
<h3>Doing it from scratch<a href="symptom-clustering.html#doing-it-from-scratch" class="anchor-section" aria-label="Anchor link to header"></a></h3>
</div>
</div>
<div id="metoids-clustering-using-pam" class="section level2 hasAnchor" number="5.2">
<h2><span class="header-section-number">5.2</span> Metoids Clustering using PAM<a href="symptom-clustering.html#metoids-clustering-using-pam" class="anchor-section" aria-label="Anchor link to header"></a></h2>
<p>There are multiple decisions to make (infos to get):</p>
<ul>
<li>what input do we want to give PAM? (do we have some kind os dissimilarity matrix and if so, do we use the gower metric? Or euclidean metric?</li>
<li>Applying PAM we again have to decide if we want to use the manhattan or euclidean metric (manhattan metric has advantages in case there are outliers expected)).</li>
<li>Do we try to copy the exact configurations as in Evans et al. (2021)?</li>
</ul>
<div class="sourceCode" id="cb36"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb36-1"><a href="symptom-clustering.html#cb36-1" aria-hidden="true" tabindex="-1"></a><span class="co"># Using the simulated data</span></span>
<span id="cb36-2"><a href="symptom-clustering.html#cb36-2" aria-hidden="true" tabindex="-1"></a>sim_symptoms <span class="ot">&lt;-</span> <span class="fu">c</span>(<span class="st">&quot;smoker&quot;</span>, <span class="st">&quot;maniacs&quot;</span>, <span class="st">&quot;sim_iq&quot;</span>, <span class="st">&quot;noise&quot;</span>)</span>
<span id="cb36-3"><a href="symptom-clustering.html#cb36-3" aria-hidden="true" tabindex="-1"></a>cluster_df[sim_symptoms] <span class="ot">&lt;-</span> <span class="fu">lapply</span>(cluster_df[sim_symptoms], factor)</span>
<span id="cb36-4"><a href="symptom-clustering.html#cb36-4" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb36-5"><a href="symptom-clustering.html#cb36-5" aria-hidden="true" tabindex="-1"></a>dist_gower <span class="ot">&lt;-</span> <span class="fu">daisy</span>(cluster_df, <span class="at">metric =</span> <span class="st">&quot;gower&quot;</span>, <span class="at">stand =</span> <span class="cn">FALSE</span>)</span>
<span id="cb36-6"><a href="symptom-clustering.html#cb36-6" aria-hidden="true" tabindex="-1"></a>gower_matrix <span class="ot">&lt;-</span> <span class="fu">as.matrix</span>(dist_gower)</span>
<span id="cb36-7"><a href="symptom-clustering.html#cb36-7" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb36-8"><a href="symptom-clustering.html#cb36-8" aria-hidden="true" tabindex="-1"></a>DistanceMap <span class="ot">&lt;-</span> <span class="fu">fviz_dist</span>(dist_gower, <span class="at">order =</span> <span class="cn">TRUE</span>, <span class="at">show_labels =</span> <span class="cn">TRUE</span>, <span class="at">lab_size =</span> <span class="dv">4</span>) <span class="sc">+</span> <span class="fu">labs</span>(<span class="at">title =</span> <span class="st">&quot;Distance: Sim Measurements&quot;</span>)</span>
<span id="cb36-9"><a href="symptom-clustering.html#cb36-9" aria-hidden="true" tabindex="-1"></a><span class="fu">fviz_nbclust</span>(gower_matrix, pam, <span class="at">method =</span><span class="st">&quot;silhouette&quot;</span>)<span class="sc">+</span><span class="fu">theme_minimal</span>()</span></code></pre></div>
<p><img src="Demographics_and_Psychometrics_files/figure-html/unnamed-chunk-23-1.png" width="672" /></p>
<div class="sourceCode" id="cb37"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb37-1"><a href="symptom-clustering.html#cb37-1" aria-hidden="true" tabindex="-1"></a>metoids <span class="ot">&lt;-</span> <span class="fu">pam</span>(gower_matrix,<span class="dv">2</span>, <span class="at">metric =</span> <span class="st">&quot;manhattan&quot;</span>, <span class="at">stand =</span> <span class="cn">FALSE</span>)</span>
<span id="cb37-2"><a href="symptom-clustering.html#cb37-2" aria-hidden="true" tabindex="-1"></a><span class="fu">fviz_cluster</span>(metoids, </span>
<span id="cb37-3"><a href="symptom-clustering.html#cb37-3" aria-hidden="true" tabindex="-1"></a>             <span class="at">palette =</span><span class="fu">c</span>(<span class="st">&quot;#007892&quot;</span>,<span class="st">&quot;#D9455F&quot;</span>),</span>
<span id="cb37-4"><a href="symptom-clustering.html#cb37-4" aria-hidden="true" tabindex="-1"></a>             <span class="at">ellipse.type =</span><span class="st">&quot;euclid&quot;</span>,</span>
<span id="cb37-5"><a href="symptom-clustering.html#cb37-5" aria-hidden="true" tabindex="-1"></a>             <span class="at">repel =</span><span class="cn">TRUE</span>,</span>
<span id="cb37-6"><a href="symptom-clustering.html#cb37-6" aria-hidden="true" tabindex="-1"></a>             <span class="at">ggtheme =</span><span class="fu">theme_minimal</span>())</span></code></pre></div>
<p><img src="Demographics_and_Psychometrics_files/figure-html/unnamed-chunk-23-2.png" width="672" /></p>
<div class="sourceCode" id="cb38"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb38-1"><a href="symptom-clustering.html#cb38-1" aria-hidden="true" tabindex="-1"></a><span class="co"># Using the real data</span></span>
<span id="cb38-2"><a href="symptom-clustering.html#cb38-2" aria-hidden="true" tabindex="-1"></a>temp_df <span class="ot">&lt;-</span> LC_one <span class="sc">%&gt;%</span> <span class="fu">select</span>(age, <span class="fu">all_of</span>(symptom_list)) <span class="sc">%&gt;%</span></span>
<span id="cb38-3"><a href="symptom-clustering.html#cb38-3" aria-hidden="true" tabindex="-1"></a>  <span class="fu">mutate_at</span>(<span class="st">&quot;age&quot;</span>, <span class="sc">~</span> <span class="fu">scale</span>(.) <span class="sc">%&gt;%</span> as_vector <span class="sc">%&gt;%</span> .[,<span class="dv">1</span>])</span>
<span id="cb38-4"><a href="symptom-clustering.html#cb38-4" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb38-5"><a href="symptom-clustering.html#cb38-5" aria-hidden="true" tabindex="-1"></a>temp_df[symptom_list] <span class="ot">&lt;-</span> <span class="fu">lapply</span>(temp_df[symptom_list], factor)</span>
<span id="cb38-6"><a href="symptom-clustering.html#cb38-6" aria-hidden="true" tabindex="-1"></a><span class="do">## to be continued..</span></span></code></pre></div>
</div>
<div id="latent-variable-mixture-modeling" class="section level2 hasAnchor" number="5.3">
<h2><span class="header-section-number">5.3</span> Latent variable (mixture) modeling<a href="symptom-clustering.html#latent-variable-mixture-modeling" class="anchor-section" aria-label="Anchor link to header"></a></h2>
</div>
<div id="hdbscan" class="section level2 hasAnchor" number="5.4">
<h2><span class="header-section-number">5.4</span> HDBSCAN<a href="symptom-clustering.html#hdbscan" class="anchor-section" aria-label="Anchor link to header"></a></h2>
<p>A recent development in the field of density-based clustering methods is Hierarchical Density-Based Spatial Clustering of Applications with Noise (HDBSCAN) (for r implementation see <a href="https://rdrr.io/cran/dbscan/man/hdbscan.html" class="uri">https://rdrr.io/cran/dbscan/man/hdbscan.html</a>, for further information see Campello et al., 2013).
Density-based clustering methods are designed to identify clusters of varying densities. As such, these methods are particularly useful in separating smaller subclusters (with higher densities) from larger clusters (with lower densities).</p>

</div>
</div>
            </section>

          </div>
        </div>
      </div>
<a href="tmt.html" class="navigation navigation-prev " aria-label="Previous page"><i class="fa fa-angle-left"></i></a>
<a href="generalized-mixed-modelling.html" class="navigation navigation-next " aria-label="Next page"><i class="fa fa-angle-right"></i></a>
    </div>
  </div>
<script src="libs/gitbook-2.6.7/js/app.min.js"></script>
<script src="libs/gitbook-2.6.7/js/clipboard.min.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-search.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-sharing.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-fontsettings.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-bookdown.js"></script>
<script src="libs/gitbook-2.6.7/js/jquery.highlight.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-clipboard.js"></script>
<script>
gitbook.require(["gitbook"], function(gitbook) {
gitbook.start({
"sharing": {
"github": false,
"facebook": true,
"twitter": true,
"linkedin": false,
"weibo": false,
"instapaper": false,
"vk": false,
"whatsapp": false,
"all": ["facebook", "twitter", "linkedin", "weibo", "instapaper"]
},
"fontsettings": {
"theme": "white",
"family": "sans",
"size": 2
},
"edit": {
"link": "https://github.com/USERNAME/REPO/edit/BRANCH/code/04-symptom_clustering.Rmd",
"text": "Edit"
},
"history": {
"link": null,
"text": null
},
"view": {
"link": null,
"text": null
},
"download": ["Demographics_and_Psychometrics.pdf", "Demographics_and_Psychometrics.epub"],
"search": {
"engine": "fuse",
"options": null
},
"toc": {
"collapse": "subsection"
}
});
});
</script>

<!-- dynamically load mathjax for compatibility with self-contained -->
<script>
  (function () {
    var script = document.createElement("script");
    script.type = "text/javascript";
    var src = "true";
    if (src === "" || src === "true") src = "https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.9/latest.js?config=TeX-MML-AM_CHTML";
    if (location.protocol !== "file:")
      if (/^https?:/.test(src))
        src = src.replace(/^https?:/, '');
    script.src = src;
    document.getElementsByTagName("head")[0].appendChild(script);
  })();
</script>
</body>

</html>
